class ComponentFactory.Krypton.Toolkit.ViewManager
   inherits ComponentFactory.Krypton.Toolkit.GlobalId
   implements System.IDisposable:

   def public property Root as ComponentFactory.Krypton.Toolkit.ViewBase
      get.
      set.

   def public property Control as System.Windows.Forms.Control
      get.
      set.

   def public property AlignControl as System.Windows.Forms.Control
      get.
      set.

   def public property DoNotLayoutControls as logical
      get.
      set.

   def public property OutputDebug as logical
      get.
      set.

   def public property ActiveView as ComponentFactory.Krypton.Toolkit.ViewBase
      get.
      set.

   def public property MouseCaptured as logical
      get.
      set.

   def public property LayoutCounter as integer
      get.

   def public property PaintCounter as integer
      get.

   def public event LayoutBefore signature void (input sender as System.Object, input e as System.EventArgs).

   def public event LayoutAfter signature void (input sender as System.Object, input e as System.EventArgs).

   def public event MouseDownProcessed signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public event MouseUpProcessed signature void (input sender as System.Object, input e as System.Windows.Forms.MouseEventArgs).

   def public event DoubleClickProcessed signature void (input sender as System.Object, input pt as System.Drawing.Point).

   constructor public ViewManager():
   end constructor.

   constructor public ViewManager(input control as System.Windows.Forms.Control, input root as ComponentFactory.Krypton.Toolkit.ViewBase):
   end constructor.

   method public final void Dispose():
   end method.

   method public final void Attach(input control as System.Windows.Forms.Control, input root as ComponentFactory.Krypton.Toolkit.ViewBase):
   end method.

   method public System.Drawing.Size GetPreferredSize(input renderer as ComponentFactory.Krypton.Toolkit.IRenderer, input proposedSize as System.Drawing.Size):
   end method.

   method public final logical EvalTransparentPaint(input renderer as ComponentFactory.Krypton.Toolkit.IRenderer):
   end method.

   method public System.ComponentModel.Component ComponentFromPoint(input pt as System.Drawing.Point):
   end method.

   method public void Layout(input renderer as ComponentFactory.Krypton.Toolkit.IRenderer):
   end method.

   method public void Layout(input context as ComponentFactory.Krypton.Toolkit.ViewLayoutContext):
   end method.

   method public void Paint(input renderer as ComponentFactory.Krypton.Toolkit.IRenderer, input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method public void Paint(input context as ComponentFactory.Krypton.Toolkit.RenderContext):
   end method.

   method public void MouseMove(input e as System.Windows.Forms.MouseEventArgs, input rawPt as System.Drawing.Point):
   end method.

   method public void MouseDown(input e as System.Windows.Forms.MouseEventArgs, input rawPt as System.Drawing.Point):
   end method.

   method public void MouseUp(input e as System.Windows.Forms.MouseEventArgs, input rawPt as System.Drawing.Point):
   end method.

   method public void MouseLeave(input e as System.EventArgs):
   end method.

   method public void DoubleClick(input pt as System.Drawing.Point):
   end method.

   method public final void PerformMouseDownProcessed(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public final void PerformMouseUpProcessed(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method public void KeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method public void KeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method public void KeyUp(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method public void GotFocus():
   end method.

   method public void LostFocus():
   end method.

   method public final void ResetCounters():
   end method.

   method protected void UpdateViewFromPoint(input control as System.Windows.Forms.Control, input pt as System.Drawing.Point):
   end method.

end class.
