class System.Security.AccessControl.CommonSecurityDescriptor
   inherits System.Security.AccessControl.GenericSecurityDescriptor
   final:

   def public property IsContainer as logical
      get.

   def public property IsDS as logical
      get.

   def public override property ControlFlags as System.Security.AccessControl.ControlFlags
      get.

   def public override property Owner as System.Security.Principal.SecurityIdentifier
      get.
      set.

   def public override property Group as System.Security.Principal.SecurityIdentifier
      get.
      set.

   def public property SystemAcl as System.Security.AccessControl.SystemAcl
      get.
      set.

   def public property DiscretionaryAcl as System.Security.AccessControl.DiscretionaryAcl
      get.
      set.

   def public property IsSystemAclCanonical as logical
      get.

   def public property IsDiscretionaryAclCanonical as logical
      get.

   constructor public CommonSecurityDescriptor(input isContainer as logical, input isDS as logical, input flags as System.Security.AccessControl.ControlFlags, input owner as System.Security.Principal.SecurityIdentifier, input group as System.Security.Principal.SecurityIdentifier, input systemAcl as System.Security.AccessControl.SystemAcl, input discretionaryAcl as System.Security.AccessControl.DiscretionaryAcl):
   end constructor.

   constructor public CommonSecurityDescriptor(input isContainer as logical, input isDS as logical, input rawSecurityDescriptor as System.Security.AccessControl.RawSecurityDescriptor):
   end constructor.

   constructor public CommonSecurityDescriptor(input isContainer as logical, input isDS as logical, input sddlForm as character):
   end constructor.

   constructor public CommonSecurityDescriptor(input isContainer as logical, input isDS as logical, input binaryForm as System.Byte extent, input offset as integer):
   end constructor.

   method public final void SetSystemAclProtection(input isProtected as logical, input preserveInheritance as logical):
   end method.

   method public final void SetDiscretionaryAclProtection(input isProtected as logical, input preserveInheritance as logical):
   end method.

   method public final void PurgeAccessControl(input sid as System.Security.Principal.SecurityIdentifier):
   end method.

   method public final void PurgeAudit(input sid as System.Security.Principal.SecurityIdentifier):
   end method.

   method public final void AddDiscretionaryAcl(input revision as integer, input trusted as integer):
   end method.

   method public final void AddSystemAcl(input revision as integer, input trusted as integer):
   end method.

end class.
