class System.Security.Cryptography.X509Certificates.X509Certificate2
   inherits System.Security.Cryptography.X509Certificates.X509Certificate
   implements System.IDisposable, System.Runtime.Serialization.IDeserializationCallback, System.Runtime.Serialization.ISerializable:

   def public property Archived as logical
      get.
      set.

   def public property Extensions as System.Security.Cryptography.X509Certificates.X509ExtensionCollection
      get.

   def public property FriendlyName as character
      get.
      set.

   def public property IssuerName as System.Security.Cryptography.X509Certificates.X500DistinguishedName
      get.

   def public property NotAfter as datetime
      get.

   def public property NotBefore as datetime
      get.

   def public property HasPrivateKey as logical
      get.

   def public property PrivateKey as System.Security.Cryptography.AsymmetricAlgorithm
      get.
      set.

   def public property PublicKey as System.Security.Cryptography.X509Certificates.PublicKey
      get.

   def public property RawData as System.Byte extent
      get.

   def public property SerialNumber as character
      get.

   def public property SubjectName as System.Security.Cryptography.X509Certificates.X500DistinguishedName
      get.

   def public property SignatureAlgorithm as System.Security.Cryptography.Oid
      get.

   def public property Thumbprint as character
      get.

   def public property Version as integer
      get.

   constructor public X509Certificate2():
   end constructor.

   constructor public X509Certificate2(input rawData as System.Byte extent):
   end constructor.

   constructor public X509Certificate2(input rawData as System.Byte extent, input password as character):
   end constructor.

   constructor public X509Certificate2(input rawData as System.Byte extent, input password as System.Security.SecureString):
   end constructor.

   constructor public X509Certificate2(input rawData as System.Byte extent, input password as character, input keyStorageFlags as System.Security.Cryptography.X509Certificates.X509KeyStorageFlags):
   end constructor.

   constructor public X509Certificate2(input rawData as System.Byte extent, input password as System.Security.SecureString, input keyStorageFlags as System.Security.Cryptography.X509Certificates.X509KeyStorageFlags):
   end constructor.

   constructor public X509Certificate2(input fileName as character):
   end constructor.

   constructor public X509Certificate2(input fileName as character, input password as character):
   end constructor.

   constructor public X509Certificate2(input fileName as character, input password as System.Security.SecureString):
   end constructor.

   constructor public X509Certificate2(input fileName as character, input password as character, input keyStorageFlags as System.Security.Cryptography.X509Certificates.X509KeyStorageFlags):
   end constructor.

   constructor public X509Certificate2(input fileName as character, input password as System.Security.SecureString, input keyStorageFlags as System.Security.Cryptography.X509Certificates.X509KeyStorageFlags):
   end constructor.

   constructor public X509Certificate2(input handle as System.IntPtr):
   end constructor.

   constructor public X509Certificate2(input certificate as System.Security.Cryptography.X509Certificates.X509Certificate):
   end constructor.

   constructor protected X509Certificate2(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method public override character ToString():
   end method.

   method public override character ToString(input verbose as logical):
   end method.

   method public final character GetNameInfo(input nameType as System.Security.Cryptography.X509Certificates.X509NameType, input forIssuer as logical):
   end method.

   method public override void Import(input rawData as System.Byte extent):
   end method.

   method public override void Import(input rawData as System.Byte extent, input password as character, input keyStorageFlags as System.Security.Cryptography.X509Certificates.X509KeyStorageFlags):
   end method.

   method public override void Import(input rawData as System.Byte extent, input password as System.Security.SecureString, input keyStorageFlags as System.Security.Cryptography.X509Certificates.X509KeyStorageFlags):
   end method.

   method public override void Import(input fileName as character):
   end method.

   method public override void Import(input fileName as character, input password as character, input keyStorageFlags as System.Security.Cryptography.X509Certificates.X509KeyStorageFlags):
   end method.

   method public override void Import(input fileName as character, input password as System.Security.SecureString, input keyStorageFlags as System.Security.Cryptography.X509Certificates.X509KeyStorageFlags):
   end method.

   method public override void Reset():
   end method.

   method public final logical Verify():
   end method.

   method public final static System.Security.Cryptography.X509Certificates.X509ContentType GetCertContentType(input rawData as System.Byte extent):
   end method.

   method public final static System.Security.Cryptography.X509Certificates.X509ContentType GetCertContentType(input fileName as character):
   end method.

end class.
